import request from '@/utils/request'

// 查询冻精库存列表
export function listSperm(query) {
  return request({
    url: '/sperm/sperm/list',
    method: 'get',
    params: query
  })
}

// 查询冻精库存详细
export function getSperm(id) {
  return request({
    url: '/sperm/sperm/' + id,
    method: 'get'
  })
}

// 新增冻精库存
export function addSperm(data) {
  return request({
    url: '/sperm/sperm',
    method: 'post',
    data: data
  })
}

// 修改冻精库存
export function updateSperm(data) {
  return request({
    url: '/sperm/sperm',
    method: 'put',
    data: data
  })
}

// 删除冻精库存
export function delSperm(id) {
  return request({
    url: '/sperm/sperm/' + id,
    method: 'delete'
  })
}
